---
title: Window.length
slug: Web/API/Window/length
tags:
  - API
  - Gecko
  - HTML DOM
  - Property
  - Reference
  - Window
---
<div>{{ ApiRef() }}</div>

<p>Returns the number of frames (either {{HTMLElement("frame")}} or {{HTMLElement("iframe")}} elements) in the window.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>framesCount</em> = window.length;
</pre>

<ul>
 <li><code>framesCount</code> is the number of frames.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush:js">if (window.length) {
  // this is a document with subframes
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','browsers.html#dom-length','Window.length')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'browsers.html#dom-length', 'Window.length')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.length")}}</p>
